Skip to main content
POST
/
datasets
/
{dataset_id}
/
documents
/
{document_id}
/
segments
/
{segment_id}
更新文档中的分段
curl --request POST \
  --url https://{api_base_url}/datasets/{dataset_id}/documents/{document_id}/segments/{segment_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "segment": {
    "content": "<string>",
    "answer": "<string>",
    "keywords": [
      "<string>"
    ],
    "enabled": true,
    "regenerate_child_chunks": false,
    "attachment_ids": [
      "<string>"
    ],
    "summary": "<string>"
  }
}
'
import requests

url = "https://{api_base_url}/datasets/{dataset_id}/documents/{document_id}/segments/{segment_id}"

payload = { "segment": {
"content": "<string>",
"answer": "<string>",
"keywords": ["<string>"],
"enabled": True,
"regenerate_child_chunks": False,
"attachment_ids": ["<string>"],
"summary": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
segment: {
content: '<string>',
answer: '<string>',
keywords: ['<string>'],
enabled: true,
regenerate_child_chunks: false,
attachment_ids: ['<string>'],
summary: '<string>'
}
})
};

fetch('https://{api_base_url}/datasets/{dataset_id}/documents/{document_id}/segments/{segment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "f3d1c7be-9f3a-40d8-8eb8-3a1ef9c3f2c1",
    "position": 1,
    "document_id": "a8e0e5b5-78c6-4130-a5ce-25feb0e0b4ac",
    "content": "Dify is an open-source LLM app development platform.",
    "sign_content": "",
    "answer": "",
    "word_count": 9,
    "tokens": 12,
    "keywords": [
      "dify",
      "platform",
      "llm"
    ],
    "index_node_id": "a1b2c3d4-e5f6-7890-abcd-000000000001",
    "index_node_hash": "abc123def456",
    "hit_count": 0,
    "enabled": true,
    "disabled_at": null,
    "disabled_by": null,
    "status": "completed",
    "created_by": "ad313dd6-ef04-4dd1-a5b0-c0f0b9e2e7e4",
    "created_at": 1741267200,
    "updated_at": 1741267200,
    "updated_by": "ad313dd6-ef04-4dd1-a5b0-c0f0b9e2e7e4",
    "indexing_at": 1741267200,
    "completed_at": 1741267200,
    "error": null,
    "stopped_at": null,
    "child_chunks": [],
    "attachments": [],
    "summary": null
  },
  "doc_form": "text_model"
}

Authorizations

Authorization
string
header
required

API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。缺少或无效的 API Key 会返回 HTTP 401,错误码为 unauthorized

Path Parameters

dataset_id
string<uuid>
required

知识库 ID。

document_id
string<uuid>
required

文档 ID.

segment_id
string<uuid>
required

Chunk ID.

Body

application/json
segment
object
required

要更新的分段数据。

Response

分段更新成功。

data
object
doc_form
string

该文档使用的分块模式。

Last modified on July 9, 2026